run-escript(1)

NAME
run-escript - a launcher for programs and scripts using the escript libraries.

SYNOPSIS
run-escript [-n nn ] [-p np ] [-t nt ] [-f hostfile ] [-x ] [-V ] [-e ] [-h ] [-v ] [-o ] [-c ] [-i ] [-b ] [ file ] [ ARGS ]

OPTIONS

file is the name of a script, ARGS are arguments for the script. escript will import your current environment variables. If no file is given, then you will be given a python prompt (see -i for restrictions). The options are used as follows:

-n nn Specify the number of compute nodes nn to be used. This option overwrites the value of the ESCRIPT_NUM_NODES environment variable. If nn > 1 but escript was not compiled for MPI, then a warning is printed but execution is continued with nn = 1. The default value is 1.

-p np Specify the number of MPI processes per node. The total number of processes to be used is nn times ns. This option overwrites the value of the ESCRIPT_NUM_PROCS environment variable. If np > 1 but escript is not compiled for MPI a warning is printed but execution is continued with np = 1. The default value is 1.

-t nt The number of threads used per processes. This option overwrites the value of the ESCRIPT_NUM_THREADS environment variable. If nt
 > 1 but escript is not compiled for OpenMP a warning is printed but execution is continued with nt = 1. The default value is 1.

-f hostfile Specify the name of a file with a list of host names. Some systems require to specify the addresses or names of the compute nodes where MPI process should be spawned. The list of addresses or names of the compute nodes is listed in the file with the name hostfile. In order to avoid oversubsription the number of different hosts defined in hostfile must be equal to the number of requested compute nodes nn. The option overwrites the value of the ESCRIPT HOSTFILE environment variable. By default value no host file is used.

-c Prints the information about the settings used to compile escript and stops execution.

-V Prints the version of escript and stops execution.

-h Prints a help message and stops execution.

-i Executes file and switches to interactive mode after the execution is finished or an exception has occurred. This option is useful for debugging a script. The option cannot be used if more than one process ( nn * np > 1) is used or if -b is used.

-b Do not invoke python. This is used to run non-python programs.

-e Outputs export statements for the additional environment variables and commands used during escript execution. This option is useful if users wish to execute scripts without using the escript command.

-o Switches on the redirection of output of processors with MPI rank greater than zero to the files "stdout_r.out" and "stderr_r.out" where r is the rank of the processor. The option overwrites the value of the ESCRIPT_CREATESTDFILES environment variable.

-v Prints some diagonstic information.